package sharin.doc.builder.xhtml1;

public class ButtonElem extends GenericCommonElem<ButtonElem> {

    public ButtonElem(Object... nodes) {
        super("button", nodes);
    }

    public ButtonElem accesskey(Object value) {
        return attr("accesskey", value);
    }

    public ButtonElem disabled(boolean disabled) {
        return disabled ? disabled("disabled") : this;
    }

    public ButtonElem disabled(Object value) {
        return attr("disabled", value);
    }

    public ButtonElem name(Object value) {
        return attr("name", value);
    }

    public ButtonElem onblur(Object value) {
        return attr("onblur", value);
    }

    public ButtonElem onfocus(Object value) {
        return attr("onfocus", value);
    }

    public ButtonElem tabindex(Object value) {
        return attr("tabindex", value);
    }

    public ButtonElem type(Object value) {
        return attr("type", value);
    }

    public ButtonElem typeButton() {
        return type("button");
    }

    public ButtonElem typeReset() {
        return type("reset");
    }

    public ButtonElem typeSubmit() {
        return type("submit");
    }

    public ButtonElem value(Object value) {
        return attr("value", value);
    }
}
